//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference
// Implementation, vhudson-jaxb-ri-2.2-147
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2020.03.06 at 12:22:27 AM EET
//

package org.xbrl._int.gl.cor._2016_12_01;

import org.xbrl._int.gl.bus._2016_12_01.*;
import org.xbrl._int.gl.gen._2016_12_01.EntriesTypeItemType;
import org.xbrl._int.gl.gen._2016_12_01.RevisesUniqueIDActionItemType;
import org.xbrl._int.gl.muc._2016_12_01.CurrencyItemType;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import static com.balances.nsgpoc.utils.Constants.GL_COR;

/**
 * Java class for documentInfoComplexType complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="documentInfoComplexType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}entriesType"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}uniqueID" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}revisesUniqueID" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}revisesUniqueIDAction" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}creationDate" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}creator" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}entriesComment" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}periodCoveredStart" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/cor/2016-12-01}periodCoveredEnd" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodCount" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodUnit" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodUnitDescription" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}sourceApplication" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}targetApplication" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/muc/2016-12-01}defaultCurrency" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
    name = "documentInfoComplexType",
    propOrder = {
      "entriesType",
      "uniqueID",
      "language",
      "revisesUniqueID",
      "revisesUniqueIDAction",
      "creationDate",
      "creator",
      "entriesComment",
      "periodCoveredStart",
      "periodCoveredEnd",
      "periodCount",
      "periodUnit",
      "periodUnitDescription",
      "sourceApplication",
      "targetApplication",
      "defaultCurrency"
    })
public class DocumentInfoComplexType {

  @XmlElement(required = true)
  protected EntriesTypeItemType entriesType;

  @XmlElement(nillable = true)
  protected UniqueIDItemType uniqueID;

  @XmlElement(name = "language", required = true, namespace = GL_COR)
  protected Language language;

  @XmlElement
  protected RevisesUniqueIDItemType revisesUniqueID;

  @XmlElement
  protected RevisesUniqueIDActionItemType revisesUniqueIDAction;

  @XmlElement(nillable = true)
  protected CreationDateItemType creationDate;

  @XmlElement(namespace = "http://www.xbrl.org/int/gl/bus/2016-12-01", nillable = true)
  protected CreatorItemType creator;

  @XmlElement(nillable = true)
  protected EntriesCommentItemType entriesComment;

  @XmlElement(nillable = true)
  protected PeriodCoveredStartItemType periodCoveredStart;

  @XmlElement(nillable = true)
  protected PeriodCoveredEndItemType periodCoveredEnd;

  @XmlElement(namespace = "http://www.xbrl.org/int/gl/bus/2016-12-01", nillable = true)
  protected PeriodCountItemType periodCount;

  @XmlElement(namespace = "http://www.xbrl.org/int/gl/bus/2016-12-01", nillable = true)
  protected PeriodUnitTypeItemType periodUnit;

  @XmlElement(namespace = "http://www.xbrl.org/int/gl/bus/2016-12-01", nillable = true)
  protected PeriodUnitDescriptionItemType periodUnitDescription;

  @XmlElement(namespace = "http://www.xbrl.org/int/gl/bus/2016-12-01", nillable = true)
  protected SourceApplicationItemType sourceApplication;

  @XmlElement(namespace = "http://www.xbrl.org/int/gl/bus/2016-12-01", nillable = true)
  protected TargetApplicationItemType targetApplication;

  @XmlElement(namespace = "http://www.xbrl.org/int/gl/muc/2016-12-01", nillable = true)
  protected CurrencyItemType defaultCurrency;

  @XmlAttribute(name = "id")
  @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
  @XmlID
  @XmlSchemaType(name = "ID")
  protected String id;

  /**
   * Gets the value of the entriesType property.
   *
   * @return possible object is {@link EntriesTypeItemType }
   */
  public EntriesTypeItemType getEntriesType() {
    return entriesType;
  }

  /**
   * Sets the value of the entriesType property.
   *
   * @param value allowed object is {@link EntriesTypeItemType }
   */
  public void setEntriesType(EntriesTypeItemType value) {
    this.entriesType = value;
  }

  /**
   * Gets the value of the uniqueID property.
   *
   * @return possible object is {@link UniqueIDItemType }
   */
  public UniqueIDItemType getUniqueID() {
    return uniqueID;
  }

  /**
   * Sets the value of the uniqueID property.
   *
   * @param value allowed object is {@link UniqueIDItemType }
   */
  public void setUniqueID(UniqueIDItemType value) {
    this.uniqueID = value;
  }

  /**
   * Gets the value of the revisesUniqueID property.
   *
   * @return possible object is {@link RevisesUniqueIDItemType }
   */
  public RevisesUniqueIDItemType getRevisesUniqueID() {
    return revisesUniqueID;
  }

  /**
   * Sets the value of the revisesUniqueID property.
   *
   * @param value allowed object is {@link RevisesUniqueIDItemType }
   */
  public void setRevisesUniqueID(RevisesUniqueIDItemType value) {
    this.revisesUniqueID = value;
  }

  /**
   * Gets the value of the revisesUniqueIDAction property.
   *
   * @return possible object is {@link RevisesUniqueIDActionItemType }
   */
  public RevisesUniqueIDActionItemType getRevisesUniqueIDAction() {
    return revisesUniqueIDAction;
  }

  /**
   * Sets the value of the revisesUniqueIDAction property.
   *
   * @param value allowed object is {@link RevisesUniqueIDActionItemType }
   */
  public void setRevisesUniqueIDAction(RevisesUniqueIDActionItemType value) {
    this.revisesUniqueIDAction = value;
  }

  /**
   * Gets the value of the creationDate property.
   *
   * @return possible object is {@link CreationDateItemType }
   */
  public CreationDateItemType getCreationDate() {
    return creationDate;
  }

  /**
   * Sets the value of the creationDate property.
   *
   * @param value allowed object is {@link CreationDateItemType }
   */
  public void setCreationDate(CreationDateItemType value) {
    this.creationDate = value;
  }

  /**
   * Gets the value of the creator property.
   *
   * @return possible object is {@link CreatorItemType }
   */
  public CreatorItemType getCreator() {
    return creator;
  }

  /**
   * Sets the value of the creator property.
   *
   * @param value allowed object is {@link CreatorItemType }
   */
  public void setCreator(CreatorItemType value) {
    this.creator = value;
  }

  /**
   * Gets the value of the entriesComment property.
   *
   * @return possible object is {@link EntriesCommentItemType }
   */
  public EntriesCommentItemType getEntriesComment() {
    return entriesComment;
  }

  /**
   * Sets the value of the entriesComment property.
   *
   * @param value allowed object is {@link EntriesCommentItemType }
   */
  public void setEntriesComment(EntriesCommentItemType value) {
    this.entriesComment = value;
  }

  /**
   * Gets the value of the periodCoveredStart property.
   *
   * @return possible object is {@link PeriodCoveredStartItemType }
   */
  public PeriodCoveredStartItemType getPeriodCoveredStart() {
    return periodCoveredStart;
  }

  /**
   * Sets the value of the periodCoveredStart property.
   *
   * @param value allowed object is {@link PeriodCoveredStartItemType }
   */
  public void setPeriodCoveredStart(PeriodCoveredStartItemType value) {
    this.periodCoveredStart = value;
  }

  /**
   * Gets the value of the periodCoveredEnd property.
   *
   * @return possible object is {@link PeriodCoveredEndItemType }
   */
  public PeriodCoveredEndItemType getPeriodCoveredEnd() {
    return periodCoveredEnd;
  }

  /**
   * Sets the value of the periodCoveredEnd property.
   *
   * @param value allowed object is {@link PeriodCoveredEndItemType }
   */
  public void setPeriodCoveredEnd(PeriodCoveredEndItemType value) {
    this.periodCoveredEnd = value;
  }

  /**
   * Gets the value of the periodCount property.
   *
   * @return possible object is {@link PeriodCountItemType }
   */
  public PeriodCountItemType getPeriodCount() {
    return periodCount;
  }

  /**
   * Sets the value of the periodCount property.
   *
   * @param value allowed object is {@link PeriodCountItemType }
   */
  public void setPeriodCount(PeriodCountItemType value) {
    this.periodCount = value;
  }

  /**
   * Gets the value of the periodUnit property.
   *
   * @return possible object is {@link PeriodUnitTypeItemType }
   */
  public PeriodUnitTypeItemType getPeriodUnit() {
    return periodUnit;
  }

  /**
   * Sets the value of the periodUnit property.
   *
   * @param value allowed object is {@link PeriodUnitTypeItemType }
   */
  public void setPeriodUnit(PeriodUnitTypeItemType value) {
    this.periodUnit = value;
  }

  /**
   * Gets the value of the periodUnitDescription property.
   *
   * @return possible object is {@link PeriodUnitDescriptionItemType }
   */
  public PeriodUnitDescriptionItemType getPeriodUnitDescription() {
    return periodUnitDescription;
  }

  /**
   * Sets the value of the periodUnitDescription property.
   *
   * @param value allowed object is {@link PeriodUnitDescriptionItemType }
   */
  public void setPeriodUnitDescription(PeriodUnitDescriptionItemType value) {
    this.periodUnitDescription = value;
  }

  /**
   * Gets the value of the sourceApplication property.
   *
   * @return possible object is {@link SourceApplicationItemType }
   */
  public SourceApplicationItemType getSourceApplication() {
    return sourceApplication;
  }

  /**
   * Sets the value of the sourceApplication property.
   *
   * @param value allowed object is {@link SourceApplicationItemType }
   */
  public void setSourceApplication(SourceApplicationItemType value) {
    this.sourceApplication = value;
  }

  /**
   * Gets the value of the targetApplication property.
   *
   * @return possible object is {@link TargetApplicationItemType }
   */
  public TargetApplicationItemType getTargetApplication() {
    return targetApplication;
  }

  /**
   * Sets the value of the targetApplication property.
   *
   * @param value allowed object is {@link TargetApplicationItemType }
   */
  public void setTargetApplication(TargetApplicationItemType value) {
    this.targetApplication = value;
  }

  /**
   * Gets the value of the defaultCurrency property.
   *
   * @return possible object is {@link CurrencyItemType }
   */
  public CurrencyItemType getDefaultCurrency() {
    return defaultCurrency;
  }

  /**
   * Sets the value of the defaultCurrency property.
   *
   * @param value allowed object is {@link CurrencyItemType }
   */
  public void setDefaultCurrency(CurrencyItemType value) {
    this.defaultCurrency = value;
  }

  /**
   * Gets the value of the id property.
   *
   * @return possible object is {@link String }
   */
  public String getId() {
    return id;
  }

  /**
   * Sets the value of the id property.
   *
   * @param value allowed object is {@link String }
   */
  public void setId(String value) {
    this.id = value;
  }

  public Language getLanguage() {
    return language;
  }

  public void setLanguage(Language language) {
    this.language = language;
  }
}
